package com.supervision.manage.service.impl;

import cn.hutool.core.util.ObjectUtil;
import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.supervision.manage.pojo.vo.PhysicalToolReqVO;
import com.supervision.manage.service.PhysicalToolManageService;
import com.supervision.model.ConfigPhysicalTool;
import com.supervision.service.ConfigPhysicalToolService;
import com.supervision.vo.ask.ConfigPhysicalToolResVO;
import lombok.RequiredArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import java.util.List;

@Slf4j
@Service
@RequiredArgsConstructor
public class PhysicalToolManageServiceImpl implements PhysicalToolManageService {

    private final ConfigPhysicalToolService configPhysicalToolService;

    @Override
    public List<ConfigPhysicalToolResVO> queryPhysicalToolList() {
        return configPhysicalToolService.queryPhysicalToolList();
    }

    @Override
    public IPage<ConfigPhysicalTool> queryConfigPhysicalToolPage(String toolName, String type, Integer requireLocation,
                                                       Integer pageNum, Integer pageSize) {
        return configPhysicalToolService.lambdaQuery().like(StrUtil.isNotBlank(toolName),ConfigPhysicalTool::getToolName,toolName)
                .eq(StrUtil.isNotBlank(type),ConfigPhysicalTool::getType,type)
                .eq(ObjectUtil.isNotEmpty(requireLocation),ConfigPhysicalTool::getRequireLocation,requireLocation)
                .page(new Page<>(pageNum,pageSize));
    }


    @Override
    public void saveConfigPhysicalTool(PhysicalToolReqVO physicalToolReqVO) {

    }
}
